object Form1: TForm1
  Left = 505
  Top = 187
  Width = 1166
  Height = 801
  Caption = 'Scrabble Search V2.0'
  Color = clBtnFace
  Font.Charset = DEFAULT_CHARSET
  Font.Color = clWindowText
  Font.Height = -20
  Font.Name = 'Arial'
  Font.Style = []
  OldCreateOrder = False
  Position = poScreenCenter
  OnActivate = FormActivate
  OnCreate = FormCreate
  PixelsPerInch = 120
  TextHeight = 23
  object StaticText1: TStaticText
    Left = 0
    Top = 733
    Width = 1148
    Height = 23
    Cursor = crHandPoint
    Align = alBottom
    Alignment = taCenter
    Caption = 'Copyright '#169' 2013, Gary Darby,  www.DelphiForFun.org'
    Font.Charset = DEFAULT_CHARSET
    Font.Color = clBlue
    Font.Height = -17
    Font.Name = 'Arial'
    Font.Style = [fsBold, fsUnderline]
    ParentFont = False
    TabOrder = 0
    OnClick = StaticText1Click
  end
  object Panel1: TPanel
    Left = 0
    Top = 0
    Width = 1148
    Height = 733
    Align = alClient
    Color = 4431301
    TabOrder = 1
    DesignSize = (
      1148
      733)
    object Memo1: TMemo
      Left = 10
      Top = 32
      Width = 319
      Height = 674
      Anchors = [akLeft, akTop, akRight, akBottom]
      Color = 12385525
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -17
      Font.Name = 'Arial'
      Font.Style = []
      Lines.Strings = (
        'Here'#39's a Scrabble "helper" program to'
        'search for the best word from the'
        '"Official Scrabble Word List" to play '
        'when given a set of tiles and some '
        'information about where they might '
        'hook in to the existing board.'
        ''
        'For this version, the program can be '
        'used as a fast dictionary lookup helper '
        'if users enter their tile letters and '
        'where words might be formed on the '
        'board as described in the "Intersecting '
        'Letters" section at right.  "Search '
        'words" button will return a list of eligible '
        'words,  Clicking on the word to use will '
        'remove used tiles from the player'#39's tile '
        'set.'
        ''
        'If playing with a physical board and'
        'tiles, each player could use a '
        'dedicated laptop,  Or a single Laptop '
        'can be used if each player clicks '
        '"Select next player" button to hide her '
        'tiles before passing it to the next '
        'player.'
        ''
        'Clicking in search results on the word to '
        'be played will remove used tiles from the '
        'player'#39's set of tiles. If a single computer is '
        'used, the program can also simulate '
        'drawing tiles randomly by double clicking '
        'on the player'#39's letter set to fill it to 7 letters '
        'after deleting tiles used.')
      ParentFont = False
      TabOrder = 0
    end
    object SearchBtn: TButton
      Left = 976
      Top = 64
      Width = 153
      Height = 25
      Caption = 'Search for words'
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -17
      Font.Name = 'Arial'
      Font.Style = [fsBold]
      ParentFont = False
      TabOrder = 1
      OnClick = SearchBtnClick
    end
    object Memo2: TMemo
      Left = 976
      Top = 104
      Width = 153
      Height = 345
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -17
      Font.Name = 'Arial'
      Font.Style = []
      Lines.Strings = (
        'Search results '
        'display here.')
      ParentFont = False
      ScrollBars = ssVertical
      TabOrder = 2
      OnClick = Memo2Click
    end
    object GroupBox1: TGroupBox
      Left = 344
      Top = 120
      Width = 273
      Height = 601
      Caption = 'Player Controls'
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -20
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
      TabOrder = 3
      object Label1: TLabel
        Left = 96
        Top = 168
        Width = 59
        Height = 23
        Caption = 'Label1'
      end
      object Player1Btn: TRadioButton
        Left = 32
        Top = 48
        Width = 104
        Height = 20
        Caption = 'Player 1'
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -20
        Font.Name = 'Arial'
        Font.Style = []
        ParentFont = False
        TabOrder = 0
        OnClick = RadioButtonClick
      end
      object Player2btn: TRadioButton
        Tag = 1
        Left = 32
        Top = 74
        Width = 104
        Height = 20
        Caption = 'Player 2'
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -20
        Font.Name = 'Arial'
        Font.Style = []
        ParentFont = False
        TabOrder = 1
        OnClick = RadioButtonClick
      end
      object Player3Btn: TRadioButton
        Tag = 2
        Left = 32
        Top = 101
        Width = 104
        Height = 20
        Caption = 'Player 3'
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -20
        Font.Name = 'Arial'
        Font.Style = []
        ParentFont = False
        TabOrder = 2
        OnClick = RadioButtonClick
      end
      object Player4Btn: TRadioButton
        Tag = 3
        Left = 32
        Top = 128
        Width = 104
        Height = 20
        Caption = 'Player 4'
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -20
        Font.Name = 'Arial'
        Font.Style = []
        ParentFont = False
        TabOrder = 3
        OnClick = RadioButtonClick
      end
      object RadioButton5: TRadioButton
        Tag = -1
        Left = 32
        Top = 24
        Width = 201
        Height = 25
        Caption = 'Select next player'
        Checked = True
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -20
        Font.Name = 'Arial'
        Font.Style = []
        ParentFont = False
        TabOrder = 4
        TabStop = True
        OnClick = RadioButtonClick
      end
      object MyLetters: TEdit
        Left = 8
        Top = 520
        Width = 177
        Height = 35
        CharCase = ecUpperCase
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -23
        Font.Name = 'Courier New'
        Font.Style = [fsBold]
        ParentFont = False
        TabOrder = 5
        Text = '.......'
        OnDblClick = MyLettersDblClick
        OnKeyUp = MyLettersKeyUp
      end
      object Memo5: TMemo
        Left = 8
        Top = 200
        Width = 249
        Height = 313
        Color = 16446663
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -17
        Font.Name = 'Arial'
        Font.Style = []
        Lines.Strings = (
          'Select player and enter or '
          'update 7 tile letters in the text '
          'area below.  Letters may be '
          'keyed into the text letter set '
          'area or selected fron the tile '
          'grid by clicking tiles there. '
          'Double click letter set to draw '
          'random tiles from the tile grid to '
          'refill back to 7.  Availability of '
          'letters entered by keying will not '
          'be verfiied or removed from the '
          'tile grid.  Grid below text shows '
          'tile values for the current letter '
          'set.  Tiles for each player are '
          'saved from turn to turn.')
        ParentFont = False
        TabOrder = 6
      end
      object MyGrid: TStringGrid
        Left = 4
        Top = 560
        Width = 265
        Height = 41
        ColCount = 7
        DefaultColWidth = 36
        DefaultRowHeight = 36
        DefaultDrawing = False
        FixedCols = 0
        RowCount = 1
        FixedRows = 0
        TabOrder = 7
        OnDrawCell = MyGridDrawCell
      end
      object WaitBox: TGroupBox
        Left = 8
        Top = 24
        Width = 265
        Height = 129
        Caption = 'Please wait'
        TabOrder = 8
        Visible = False
        object ProgressBar1: TProgressBar
          Left = 16
          Top = 56
          Width = 233
          Height = 21
          Max = 10
          Position = 10
          TabOrder = 0
        end
      end
    end
    object GroupBox2: TGroupBox
      Left = 640
      Top = 32
      Width = 313
      Height = 417
      Caption = 'Intersecting letter choices'
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -20
      Font.Name = 'Arial'
      Font.Style = []
      ParentFont = False
      TabOrder = 4
      DesignSize = (
        313
        417)
      object Memo3: TMemo
        Left = 104
        Top = 264
        Width = 89
        Height = 137
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -20
        Font.Name = 'Arial'
        Font.Style = []
        Lines.Strings = (
          '2F3'
          '0T7'
          '000')
        ParentFont = False
        ScrollBars = ssVertical
        TabOrder = 0
        OnKeyPress = Memo3KeyPress
      end
      object Memo4: TMemo
        Left = 2
        Top = 33
        Width = 309
        Height = 224
        Anchors = [akLeft, akTop, akRight]
        Color = 16446663
        Font.Charset = DEFAULT_CHARSET
        Font.Color = clWindowText
        Font.Height = -17
        Font.Name = 'Arial'
        Font.Style = []
        Lines.Strings = (
          'Enter available board letters below, 1'
          'letter per line.  Include number of usable '
          'spaces left and right (or above and '
          'below).  e,g, 2F3 means I can place 0, '
          '1, or 2 of my tiles before "'#39'F" and 0,1,2, '
          'or 3 letters after.  '
          ''
          'Enter 1 letter set per line.Enter '#39'000'#39' to '
          'find initial game word with no '
          'intersections.  Entries below are '
          'samples used for testing.')
        ParentFont = False
        TabOrder = 1
      end
    end
    object TileGrid: TStringGrid
      Left = 640
      Top = 464
      Width = 214
      Height = 214
      ColCount = 10
      DefaultColWidth = 20
      DefaultRowHeight = 20
      DefaultDrawing = False
      FixedCols = 0
      RowCount = 10
      FixedRows = 0
      TabOrder = 5
      OnDrawCell = TileGridDrawCell
      OnMouseUp = TileGridMouseUp
    end
    object ResetBtn: TButton
      Left = 640
      Top = 696
      Width = 161
      Height = 25
      Caption = 'Reset the board'
      TabOrder = 6
      OnClick = ResetBtnClick
    end
    object Memo6: TMemo
      Left = 872
      Top = 464
      Width = 257
      Height = 249
      Color = 16446663
      Font.Charset = DEFAULT_CHARSET
      Font.Color = clWindowText
      Font.Height = -17
      Font.Name = 'Arial'
      Font.Style = []
      Lines.Strings = (
        'Words found are listed above '
        'with their "raw" scores, no double '
        'or triple word or letter scores are '
        'included since program does not '
        'have that  information.'
        ''
        'Click on any word to remove its '
        'letters from yout set of tiles.  ')
      ParentFont = False
      TabOrder = 7
    end
    object NbrPlayersGrp: TRadioGroup
      Left = 344
      Top = 32
      Width = 273
      Height = 73
      Caption = 'Number of players'
      Columns = 4
      Items.Strings = (
        '1'
        '2'
        '3'
        '4')
      TabOrder = 8
      OnClick = NbrPlayersGrpClick
    end
  end
  object Timer1: TTimer
    Enabled = False
    OnTimer = Timer1Timer
    Left = 944
    Top = 8
  end
end
